summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/sqlite/sqlite.SlackBuild2
-rw-r--r--source/l/libcue/fdf72c8bded8d24cfa0608b8e97f2eed210a920e.patch24
-rwxr-xr-xsource/l/libcue/libcue.SlackBuild4
-rwxr-xr-xsource/l/libnotify/libnotify.SlackBuild2
4 files changed, 29 insertions, 3 deletions
diff --git a/source/ap/sqlite/sqlite.SlackBuild b/source/ap/sqlite/sqlite.SlackBuild
index c5bc54a19..a9d8139fe 100755
--- a/source/ap/sqlite/sqlite.SlackBuild
+++ b/source/ap/sqlite/sqlite.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sqlite
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# First, convert the .zip file if needed:
if ls *.zip 1> /dev/null 2> /dev/null ; then
diff --git a/source/l/libcue/fdf72c8bded8d24cfa0608b8e97f2eed210a920e.patch b/source/l/libcue/fdf72c8bded8d24cfa0608b8e97f2eed210a920e.patch
new file mode 100644
index 000000000..b38727fdc
--- /dev/null
+++ b/source/l/libcue/fdf72c8bded8d24cfa0608b8e97f2eed210a920e.patch
@@ -0,0 +1,24 @@
+From fdf72c8bded8d24cfa0608b8e97f2eed210a920e Mon Sep 17 00:00:00 2001
+From: Kevin Backhouse <kevinbackhouse@github.com>
+Date: Wed, 27 Sep 2023 20:22:43 +0100
+Subject: [PATCH] Check that the array index isn't negative. This fixes
+ CVE-2023-43641.
+
+Signed-off-by: Kevin Backhouse <kevinbackhouse@github.com>
+---
+ cd.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/cd.c b/cd.c
+index cf77a18..4bbea19 100644
+--- a/cd.c
++++ b/cd.c
+@@ -339,7 +339,7 @@ track_get_rem(const Track* track)
+
+ void track_set_index(Track *track, int i, long ind)
+ {
+- if (i > MAXINDEX) {
++ if (i < 0 || i > MAXINDEX) {
+ fprintf(stderr, "too many indexes\n");
+ return;
+ }
diff --git a/source/l/libcue/libcue.SlackBuild b/source/l/libcue/libcue.SlackBuild
index 60635b0d2..d5b983e41 100755
--- a/source/l/libcue/libcue.SlackBuild
+++ b/source/l/libcue/libcue.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcue
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+cat $CWD/fdf72c8bded8d24cfa0608b8e97f2eed210a920e.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
mkdir cmake-build
cd cmake-build
diff --git a/source/l/libnotify/libnotify.SlackBuild b/source/l/libnotify/libnotify.SlackBuild
index 5e1c842ad..6ba080569 100755
--- a/source/l/libnotify/libnotify.SlackBuild
+++ b/source/l/libnotify/libnotify.SlackBuild
@@ -106,7 +106,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a AUTHORS COPYING README $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS* COPYING* NEWS* README* SPEC* $PKG/usr/doc/$PKGNAM-$VERSION
if [ -d $PKG/usr/share/gtk-doc/html/libnotify ]; then
( cd $PKG/usr/doc/$PKGNAM-$VERSION ; ln -s ../../share/gtk-doc/html/libnotify html )
fi